# JSDoc: Class: AbstractBeccaEntity

# Class: AbstractBeccaEntity

## AbstractBeccaEntity()

Base class for all backend entities.

## Constructor

#### new AbstractBeccaEntity()

Source:
  - becca/entities/abstract_becca_entity.js, line 18

### Members

#### (protected) becca

Source:
  - becca/entities/abstract_becca_entity.js, line 35

### Methods

#### (protected) _getContent() → {string|Buffer}

Source:
  - becca/entities/abstract_becca_entity.js, line 250

##### Returns:

Type
  string | Buffer

#### (protected) _setContent()

Source:
  - becca/entities/abstract_becca_entity.js, line 128

#### (protected) beforeSaving()

Source:
  - becca/entities/abstract_becca_entity.js, line 20

#### (protected) generateHash() → {string}

Source:
  - becca/entities/abstract_becca_entity.js, line 59

##### Returns:

Type
  string

#### (abstract, protected) getPojo()

Source:
  - becca/entities/abstract_becca_entity.js, line 82

#### (protected) getPojoToSave()

Source:
  - becca/entities/abstract_becca_entity.js, line 74

#### (protected) getUtcDateChanged()

Source:
  - becca/entities/abstract_becca_entity.js, line 27

#### markAsDeleted(deleteIdopt)

Mark the entity as (soft) deleted. It will be completely erased later. This is a low-level method, for notes and branches use `note.deleteNote()` and 'branch.deleteBranch()` instead.

##### Parameters:

Name | Type | Attributes | Default | Description
--- | --- | --- | --- | ---
`deleteId` |  | <optional> | null |

Source:
  - becca/entities/abstract_becca_entity.js, line 267

#### (protected) putEntityChange()

Source:
  - becca/entities/abstract_becca_entity.js, line 44

#### save() → {this}

Saves entity - executes SQL, but doesn't commit the transaction on its own

Source:
  - becca/entities/abstract_becca_entity.js, line 91

##### Returns:

Type
  this